# Record Class LValidationProblemType.ImageMissingRequiredCaption

java.lang.Object
java.lang.Record
com.io7m.laurel.filemodel.LValidationProblemType.ImageMissingRequiredCaption

Record Components:
  `image` - The image
  `category` - The category
  `message` - The message

All Implemented Interfaces:
  `LValidationProblemType`

Enclosing interface:
  `LValidationProblemType`

public static record LValidationProblemType.ImageMissingRequiredCaption(LImageID image, LCategoryID category, String message) extends Record implements LValidationProblemType
An image is missing a caption from a required category.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface LValidationProblemType

  `LValidationProblemType.ImageMissingRequiredCaption`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageMissingRequiredCaption(LImageID image, LCategoryID category, String message)`
  An image is missing a caption from a required category.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LCategoryID`
  `category()`
  Returns the value of the `category` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `LImageID`
  `image()`
  Returns the value of the `image` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImageMissingRequiredCaption

    public ImageMissingRequiredCaption(LImageID image, LCategoryID category, String message)
    An image is missing a caption from a required category.
    Parameters:
      `image` - The image
      `category` - The category
      `message` - The message

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### image

    public LImageID image()
    Returns the value of the `image` record component.
    Returns:
      the value of the `image` record component

  - ### category

    public LCategoryID category()
    Returns the value of the `category` record component.
    Returns:
      the value of the `category` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `LValidationProblemType`
    Returns:
      the value of the `message` record component